'use strict';

var apiKey = global.mio.config.mail.mailgun.apiKey;
var domain = global.mio.config.mail.domain || global.mio.config.domains[0];
var sender = global.mio.config.mail.sender || 'NoReply <noreply@'+domain+'>';
var mailgun = require('mailgun-js')({apiKey: apiKey, domain: domain});
var mailer = require('mio-mail')({defaultSender: sender});

// Errors Render
global.mio.error = require('./errors').error;

// Mail Module
global.mio.mailgun = mailgun;
global.mio.mailer = mailer;

// Export all
module.exports = global.mio;
